unit Un_numbers;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, StdCtrls;

type
  TNumbers = class(TForm)
    Parameters: TStringGrid;
    Button1: TButton;
   procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Numbers: TNumbers;

implementation

{$R *.dfm}

uses Un_main;

procedure TNumbers.FormShow(Sender: TObject);
 var i:integer;
begin
 i:=strtoint(Main.ParamEd.Text)+1;
 Numbers.Parameters.RowCount:=i;
 for i:=1 to i+1 do
  Numbers.Parameters.Cells[0,i]:=inttostr(i);
 Numbers.Parameters.Cells[0,0]:='№';
 Numbers.Parameters.Cells[1,0]:='Амплитуда (А)';
 Numbers.Parameters.Cells[2,0]:='Частота (w)';
 Numbers.Parameters.Cells[3,0]:='Фаза (f)';
end;

procedure TNumbers.Button1Click(Sender: TObject);
begin
 Numbers.Visible:=false;
end;

end.
